See the top rated post in this thread. Click here

Results 1 to 10 of 10

Thread: Set all objects back to zero Z elevation

  1. #1
    Member
    Join Date
    2003-11
    Posts
    6
    0 Did you find this post helpful? Yes

    Default Set all objects back to zero Z elevation

    sorry to interrupt the coffee morning, just found a problem and didn't know where to post it)

    a block has been used that was at Z=0.0000003 it has been pasted into several drawings
    lines drawn from the block are at the odd Z others are at Z=0
    the offset is too small to zoom in on in side view,
    to compound the problem parts of the drawing have been copy and pasted on, spreading like a virus. The first indication is not being able to pick intersections.

    My only solution so far is to quick select any entity not equal to Z,0 but I have to check
    line, Polyline, arc,, etc all separately has any one got or know of a lisp routine that will flatten out my problem.
    Last edited by Glenn Pope; 2004-08-27 at 06:36 PM.

  2. #2
    Certifiable AUGI Addict Wanderer's Avatar
    Join Date
    2001-12
    Location
    St. Louis
    Posts
    4,539
    0 Did you find this post helpful? Yes

    Talking Re: Set all objects back to zero Z elevation

    Quote Originally Posted by alan.gladwin
    sorry to interrupt the coffee morning, just found a problem and didn't know where to post it)

    a block has been used that was at Z=0.0000003 it has been pasted into several drawings
    lines drawn from the block are at the odd Z others are at Z=0
    the offset is too small to zoom in on in side view,
    to compound the problem parts of the drawing have been copy and pasted on, spreading like a virus. The first indication is not being able to pick intersections.

    My only solution so far is to quick select any entity not equal to Z,0 but I have to check
    line, Polyline, arc,, etc all separately has any one got or know of a lisp routine that will flatten out my problem.
    Hello, alan, you could just do a search using the word 'flatten' or post the question under the forum acad 2005, acad general or acad 3d.
    Good luck.
    Melanie Perry @MistresDorkness
    Archibus System Administrator
    Technical Editor
    not all who wander are lost
    (missing MEP/FP and Revit)

  3. #3
    AUGI Addict Glenn Pope's Avatar
    Join Date
    2001-05
    Location
    Austin, TX USA
    Posts
    2,201
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    Note: I move this thread from the CWC forum to this one. I think it would do better here. Plus changed the title to something more meaningful.
    Glenn Pope
    Civil Designer/CAD Manager
    River City Engineering
    AutoCAD Civil 3D 2011 Ver. 3
    Windows 7 Pro 64bit
    I explode MTEXT.

  4. #4
    Administrator Mike.Perry's Avatar
    Join Date
    2001-03
    Posts
    13,499
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    Hi

    Check out the following Submission # EX001339 by Robert Bell on the AUGI Exchange Page -

    AUGI Exchange Search Page

    Have a good one, Mike

  5. #5
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,259
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    There are many ways to (manually) fix this.

    1 draw a polyline from any blank area of the drawing to snap to the "bad" line-end. Use the new point as your replacement startpoint.
    Your polyline startpoint z will be zero and all vertices of a polyline have the same elevation.

    2 There is a Flatten command in Express tools. If you don't have Express Tools, there are shareware lisp routines available with the same name.

    3 Stretch the offending line end. Pick a blank area for the From point and @0,0,00000003 for the To point.

    I hope this helps.

    John B

  6. #6
    AUGI Addict sinc's Avatar
    Join Date
    2004-02
    Location
    Colorado
    Posts
    1,986
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    There's the "Flatten Z Values" command, which lets you set the Z-coordinate(s) of all selected objects to a specified value, but I think it's part of Land Desktop...

  7. #7
    Administrator Mike.Perry's Avatar
    Join Date
    2001-03
    Posts
    13,499
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    Quote Originally Posted by richards.64879
    There's the "Flatten Z Values" command, which lets you set the Z-coordinate(s) of all selected objects to a specified value, but I think it's part of Land Desktop...
    Hi

    It is part of LDT so doesn't really help an AutoCAD user....

    Have a good one, Mike

  8. #8
    Member
    Join Date
    2003-11
    Posts
    6
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    Quote Originally Posted by Mike.Perry
    Hi

    Check out the following Submission # EX001339 by Robert Bell on the AUGI Exchange Page -

    AUGI Exchange Search Page

    Have a good one, Mike

    Flatten.lsp works a treat, except a small querk, it moved several fillet radii from the 'correct' looking position to the y=0 line along with one circle, have looked at the lisp
    but cant figure why? or indeed why it has only picked on some of the fillet arcs.

    thanks for the help

  9. #9
    Administrator RobertB's Avatar
    Join Date
    2001-08
    Location
    Dallas TX USA
    Posts
    5,843
    0 Did you find this post helpful? Yes

    Default Re: Set all objects back to zero Z elevation

    Quote Originally Posted by alan.gladwin
    Flatten.lsp works a treat, except a small querk, it moved several fillet radii from the 'correct' looking position to the y=0 line along with one circle, have looked at the lisp but cant figure why? or indeed why it has only picked on some of the fillet arcs.
    That lisp uses the fact of double precision rounding errors. It moves everything at such a huge distance in the Z-axis that all Z-coordinates effectively round to 0. I'm surprised a few objects moved in the other axis, but I suppose it is possible. Did you audit the drawing before the flatten?

  10. #10
    Member
    Join Date
    2008-03
    Posts
    8
    1 Did you find this post helpful? Yes

    Cool Re: Set all objects back to zero Z elevation

    Copy and Paste this in your command line:

    (command "MOVE" (ssget "x") "" "0,0,0" "0,0,1e99")
    (command "MOVE" (ssget "p") "" "0,0,0" "0,0,-1e99")


    Should solve it...

Similar Threads

  1. Send objects (wipeouts) to back
    By .chad in forum AutoLISP
    Replies: 5
    Last Post: 2011-05-27, 02:30 PM
  2. Replies: 7
    Last Post: 2010-11-19, 07:47 PM
  3. Elevation Annotation Objects
    By mattw in forum Revit MEP - General
    Replies: 5
    Last Post: 2009-09-16, 01:46 AM
  4. MDI Objects Enable Cannot be Save Back
    By Jack Cheong in forum AutoCAD General
    Replies: 1
    Last Post: 2007-08-03, 01:55 PM
  5. elevation with light colored info in the back gorund
    By Justin Marchiel in forum Revit Architecture - General
    Replies: 0
    Last Post: 2006-03-21, 04:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •